RevocationAPI Reference
Status update
Update Semantic CWT credential status
POST
/v2/credentials/compact-semantic/{id}/revocation-statusUpdates the credential status as revoked (invalid) or unrevoked (valid).
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_COMPACT_SEMANTIC_REVOCATION_SET_STATUS_STARTCREDENTIAL_COMPACT_SEMANTIC_REVOCATION_SET_STATUS_SUCCESSCREDENTIAL_COMPACT_SEMANTIC_REVOCATION_SET_STATUS_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Unique credential identifier (jti)
Request Body
application/json
Update revocation status
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v2/credentials/compact-semantic/string/revocation-status" \ -H "Content-Type: application/json" \ -d '{ "isRevoked": true }'{ "id": "string", "isRevoked": true}Retrieve Semantic CWT credential status
GET
/v2/credentials/compact-semantic/{id}/revocation-statusRetrieve the revocation status of a Semantic CWT credential by providing its ID.
Roles
adminissuermanaged-issuer
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Unique credential identifier (jti)
Response Body
application/json
application/json
curl -X GET "https://example.com/v2/credentials/compact-semantic/string/revocation-status"{ "isRevoked": true}How would you rate this page?
Last updated on